<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Library Reference Manual: GstGLWindowWin32</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Library Reference Manual">
<link rel="up" href="gl.html" title="OpenGL Helper Library">
<link rel="prev" href="gst-plugins-bad-libs-GstGLWindowWayland.html" title="GstGLWindowWayland">
<link rel="next" href="gst-plugins-bad-libs-GstGLWindowX11.html" title="GstGLWindowX11">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-libs-GstGLWindowWin32.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-libs-GstGLWindowWin32.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="gl.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-libs-GstGLWindowWayland.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-libs-GstGLWindowX11.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-libs-GstGLWindowWin32"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-bad-libs-GstGLWindowWin32.top_of_page"></a>GstGLWindowWin32</span></h2>
<p>GstGLWindowWin32</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#GstGLWindowWin32" title="struct GstGLWindowWin32"><span class="returnvalue">GstGLWindowWin32</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#gst-gl-window-win32-new" title="gst_gl_window_win32_new ()">gst_gl_window_win32_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#gst-gl-window-win32-create-window" title="gst_gl_window_win32_create_window ()">gst_gl_window_win32_create_window</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#GstGLWindowWin32" title="struct GstGLWindowWin32">GstGLWindowWin32</a></td>
</tr>
<tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#GstGLWindowWin32Class" title="struct GstGLWindowWin32Class">GstGLWindowWin32Class</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-gl-window-win32-new"></a><h3>gst_gl_window_win32_new ()</h3>
<pre class="programlisting"><a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#GstGLWindowWin32" title="struct GstGLWindowWin32"><span class="returnvalue">GstGLWindowWin32</span></a> *
gst_gl_window_win32_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gst-gl-window-win32-create-window"></a><h3>gst_gl_window_win32_create_window ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_gl_window_win32_create_window (<em class="parameter"><code><a class="link" href="gst-plugins-bad-libs-GstGLWindowWin32.html#GstGLWindowWin32" title="struct GstGLWindowWin32"><span class="type">GstGLWindowWin32</span></a> *window_win32</code></em>,
                                   <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-GstGLWindowWin32.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstGLWindowWin32"></a><h3>struct GstGLWindowWin32</h3>
<pre class="programlisting">struct GstGLWindowWin32 {
};
</pre>
</div>
<hr>
<div class="refsect2">
<a name="GstGLWindowWin32Class"></a><h3>struct GstGLWindowWin32Class</h3>
<pre class="programlisting">struct GstGLWindowWin32Class {
};
</pre>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>